@Library('releng-pipeline') _

hugo(
  appName: 'chat-service-website',
  productionDomain: 'chat.eclipse.org',
  debug: true,
  kubernetes: [
      namespace: 'chat-website',
      credentialsId: 'jamstack-chat-website',
      registryCredentialsId: 'infra-docker-bot'
  ],
  container: [
      registryCredentialsId: "infra-docker-bot"
  ],
  build: [
     containerImage: "eclipsefdn/hugo-node:h0.110.0-n18.13.0"
  ],
  deployment: [
    locationPath: "/docs",
    domain: "docs.chat.eclipse.org"
  ]
)
